import DetailedError from './detailedError.js';

type Result<T> = {
    success: boolean;
} & ({
    success: true;
    data: T;
} | {
    success: false;
    error: DetailedError;
});
declare const isError: <T>(result: Result<T>) => result is {
    success: false;
    error: DetailedError;
};

export { Result, isError };
